local fn = _gn(0x98C494FD5BDFBFD5)
--- Pushes a function from the Hud component Scaleform onto the stack. Same behavior as GRAPHICS::BEGIN_SCALEFORM_MOVIE_METHOD, just a hud component id instead of a Scaleform.
-- Known components:
-- 19 - MP_RANK_BAR
-- 20 - HUD_DIRECTOR_MODE
-- This native requires more research - all information can be found inside of 'hud.gfx'. Using a decompiler, the different components are located under "scripts\__Packages\com\rockstargames\gtav\hud\hudComponents" and "scripts\__Packages\com\rockstargames\gtav\Multiplayer".
function Global.PushScaleformMovieFunctionFromHudComponent(hudComponent, methodName)
	return fn(hudComponent, _ts(methodName), _r)
end
